@import "../../../../../App.scss";

.flights_info_data_header {
  width: 100%;
  display: grid;
  grid-template-columns: repeat(7, 14.28%);
  grid-template-rows: 100%;
  grid-template-areas:
    "track track track track track track track";
  &-from_code,
  &-to_code,
  &-from_title,
  &-to_title,
  &-luggage_title {
    display: none;
  }
  &-track {
    grid-area: track;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    background-color: $grey;
    padding: 5px 10px;
    border-top-left-radius: 10px;
    border-top-right-radius: 10px;
    &_title {
      grid-area: track-title;
      &-icon {							
        font-size: 0.9em;
      }
      &-text {
        text-transform: uppercase;
        font-weight: 700;
        padding-left: 5px;
      }
    }
    &_date {
      grid-area: track-date;	
    }
  }
}
@media screen and (min-width: 768px) {
  .flights_info_data_header {
    display: grid;
    grid-template-columns: 34% repeat(3, 21%);
    grid-template-rows: repeat(2, auto);
    grid-template-areas:
      "track from-code to-code ."
      "track from-title to-title luggage-title";
    grid-column-gap: 1%;
    &-track {
      display: flex;
      flex-direction: column;
      border-bottom-right-radius: 15px;
      padding-top: 10px;
    }
    &-from_code	
    &-from_title,
    &-to_code,
    &-to_title,
    &-luggage_title {
      display: inherit;
    }
    &-from_code,
    &-to_code {
      display: flex;
      align-items: flex-end;
      font-weight: 700;
    }
    &-from_title,
    &-to_title,
    &-luggage_title {
      font-size: 0.8em;
      color: $light;
      display: flex;
      align-items: flex-start;
    }
  }
}